%define	gtk3_mver	3.22
Summary:	MATE Desktop themes
Summary(pl.UTF-8):	Motywy dla środowiska MATE Desktop
Name:		mate-themes
Version:	3.22.6
Release:	1
License:	GPL v2+
Group:		Themes
Source0:	http://pub.mate-desktop.org/releases/themes/%{gtk3_mver}/%{name}-%{version}.tar.xz
# Source0-md5:	1efc0236b76a4dc0d0843c27a44d5a62
URL:		http://mate-desktop.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.9
BuildRequires:	gdk-pixbuf2-devel >= 2.0.0
BuildRequires:	gettext-tools
BuildRequires:	gtk+2-devel >= 2.0.0
BuildRequires:	icon-naming-utils >= 0.8.7
BuildRequires:	intltool >= 0.35.0
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	gtk-update-icon-cache
Requires:	gtk2-engines
Requires:	gtk2-theme-engine-murrine >= 0.98
Requires:	mate-icon-theme >= 1.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MATE Desktop themes:

- BlackMATE: cinnamon, gtk2, gtk3, marco, unity
- BlueMenta: cinnamon, gtk2, gtk3, marco, unity, xfwm4
- Blue-Submarine: cinnamon, gtk2, gtk3, marco
- GreenLaguna: gtk2, gtk3, marco, unity
- Green-Submarine: cinnamon, gtk2, gtk3, marco
- Menta: cinnamon, gtk2, gtk3, marco, unity, xfwm4
- Shiny: marco
- TraditionalGreen: gtk2, gtk3, marco
- TraditionalOk: gtk2, gtk3, marco, openbox, xfwm4

%description -l pl.UTF-8
Motywy dla środowiska MATE Desktop:

- BlackMATE: cinnamon, gtk2, gtk3, marco, unity
- BlueMenta: cinnamon, gtk2, gtk3, marco, unity, xfwm4
- Blue-Submarine: cinnamon, gtk2, gtk3, marco
- GreenLaguna: gtk2, gtk3, marco, unity
- Green-Submarine: cinnamon, gtk2, gtk3, marco
- Menta: cinnamon, gtk2, gtk3, marco, unity, xfwm4
- Shiny: marco
- TraditionalGreen: gtk2, gtk3, marco
- TraditionalOk: gtk2, gtk3, marco, openbox, xfwm4

%package accessibility
Summary:	Accessibility themes for MATE environment
Summary(pl.UTF-8):	Motywy uprzystępniające dla środowiska MATE
Group:		Themes
Requires:	%{name} = %{version}-%{release}
Requires:	mate-icon-theme >= 1.5

%description accessibility
Accessibility themes for MATE environment:

- ContrastHighInverse: gtk2, gtk3, marco

%description accessibility -l pl.UTF-8
Motywy dla środowiska MATE o zwiększonej dostępności dla
niepełnosprawnych:

- ContrastHighInverse: gtk2, gtk3, marco

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL="install -p" \
	DESTDIR=$RPM_BUILD_ROOT

for dir in $RPM_BUILD_ROOT%{_iconsdir}/*/; do
	gtk-update-icon-cache -ft $dir
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%{_datadir}/themes/BlackMATE
%{_datadir}/themes/BlueMenta
%{_datadir}/themes/Blue-Submarine
%{_datadir}/themes/GreenLaguna
%{_datadir}/themes/Green-Submarine
%{_datadir}/themes/Menta
%{_datadir}/themes/Shiny
%{_datadir}/themes/TraditionalGreen
%{_datadir}/themes/TraditionalOk
%{_iconsdir}/mate/cursors

%files accessibility
%defattr(644,root,root,755)
%{_datadir}/themes/ContrastHighInverse
# note: top dirs (HighContrast/metacity-1) shared with metacity-themes-HighContrast 3.x
%{_datadir}/themes/HighContrast
%{_iconsdir}/ContrastHigh
%changelog
* Thu Jan 19 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-themes.git;a=log;h=master

* Tue Jan 17 2017 Jan Palus <atler@pld-linux.org> 7f23792
- up to 3.22.6

* Fri Jan 06 2017 Jan Palus <atler@pld-linux.org> b566018
- up to 3.22.5

* Sun Dec 18 2016 Jan Rękorajski <baggins@pld-linux.org> 69f7713
- release 2 (by relup.sh)

* Fri Oct 28 2016 Jakub Bogusz <qboosh@pld-linux.org> d960a1b
- updated to 3.22.4

* Mon Oct 24 2016 Jan Palus <atler@pld-linux.org> ee38f2c
- up to 3.22.3

* Thu Sep 22 2016 Jan Palus <atler@pld-linux.org> f748755
- up to 3.22.2

* Sun Sep 04 2016 Jan Palus <atler@pld-linux.org> f7b0271
- up to 3.20.11

* Sat Jul 23 2016 Jan Palus <atler@pld-linux.org> aa8a052
- up to 3.20.10

* Sun Jul 17 2016 Jakub Bogusz <qboosh@pld-linux.org> faa9fa5
- package HighContrast theme for marco (metacity-theme-1.xml)

* Thu Jul 07 2016 Jan Palus <atler@pld-linux.org> edeba41
- up to 3.20.9

* Mon Jun 06 2016 Jan Palus <atler@pld-linux.org> bad992d
- up to 3.20.8

* Tue May 31 2016 Jan Palus <atler@pld-linux.org> cc3892a
- up to 3.20.7

* Sun Apr 24 2016 Jan Palus <atler@pld-linux.org> 83d4256
- all-themes and icon-mapping configure options were dropped

* Mon Apr 11 2016 Jan Palus <atler@pld-linux.org> 1ba6354
- up to 3.20.5

* Sat Apr 09 2016 Elan Ruusamäe <glen@delfi.ee> 92878fa
- use gtk3_mver in url

* Sat Apr 09 2016 Jan Palus <atler@pld-linux.org> b0f7a47
- up to 3.20.4

* Sun Jan 03 2016 Jan Palus <atler@pld-linux.org> e34ce2f
- up to 1.12.2

* Fri Dec 04 2015 Jan Palus <atler@pld-linux.org> 381111b
- up to 1.12.1

* Sat Nov 07 2015 Jakub Bogusz <qboosh@pld-linux.org> 229de28
- switched to gtk 3.18 version; release 2

* Thu Nov 05 2015 Jan Palus <atler@pld-linux.org> a4afad1
- up to 1.12.0

